#import <ObjFW/ObjFW.h>
#import <ObjXMPP/ObjXMPP.h>
#include <gtk/gtk.h>

typedef void (^jub_send_block_t)(OFString *);
typedef void (^jub_close_block_t)(void);

@interface JubGtkChatUI: OFObject
{
	GtkWidget *chat_window;
	GtkTextBuffer *chat_buffer;
	jub_send_block_t sendBlock;
	jub_close_block_t closeBlock;
	BOOL bufferEmpty;
}
@property (assign) GtkWidget *chat_window;
@property (assign) GtkTextBuffer * chat_buffer;
@property (readonly) jub_send_block_t sendBlock;
@property (readonly) jub_close_block_t closeBlock;

- initWithTitle: (OFString*)title
     closeBlock: (jub_close_block_t)closeBlock
      sendBlock: (jub_send_block_t)sendBlock;

- (void)addMessage: (OFString*)text
	    sender: (OFString*)sender;
@end
